OGRE-Next: Ogre::v1::GLES2DefaultHardwareBufferManagerBase Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::GLES2DefaultHardwareBufferManagerBase Class Reference

Specialisation of HardwareBufferManager to emulate hardware buffers. More...

`#include <OgreGLES2DefaultHardwareBufferManager.h>`

Inheritance diagram for Ogre::v1::GLES2DefaultHardwareBufferManagerBase:
[legend]

## Public Member Functions
| GLES2DefaultHardwareBufferManagerBase ()
virtual | ~GLES2DefaultHardwareBufferManagerBase ()
HardwareCounterBufferSharedPtr | createCounterBuffer (size_t sizeBytes, HardwareBuffer::Usage usage=HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE, bool useShadowBuffer=false, const String &name="")
HardwareIndexBufferSharedPtr | createIndexBuffer (HardwareIndexBuffer::IndexType itype, size_t numIndexes, HardwareBuffer::Usage usage, bool useShadowBuffer=false)
| Create a hardware vertex buffer.
RenderToVertexBufferSharedPtr | createRenderToVertexBuffer ()
| Create a render to vertex buffer.
HardwareUniformBufferSharedPtr | createUniformBuffer (size_t sizeBytes, HardwareBuffer::Usage usage, bool useShadowBuffer, const String &name="")
HardwareVertexBufferSharedPtr | createVertexBuffer (size_t vertexSize, size_t numVerts, HardwareBuffer::Usage usage, bool useShadowBuffer=false)
| Creates a vertex buffer.
Public Member Functions inherited from Ogre::v1::HardwareBufferManagerBase
| HardwareBufferManagerBase ()
virtual | ~HardwareBufferManagerBase ()
virtual void | _forceReleaseBufferCopies (const HardwareVertexBufferSharedPtr &sourceBuffer)
| Internal method that forces the release of copies of a given buffer.
virtual void | _forceReleaseBufferCopies (HardwareVertexBuffer *sourceBuffer)
| Internal method that forces the release of copies of a given buffer.
virtual void | _freeUnusedBufferCopies ()
| Free all unused vertex buffer copies.
void | _notifyIndexBufferDestroyed (HardwareIndexBuffer *buf)
| Notification that a hardware index buffer has been destroyed.
void | _notifyVertexBufferDestroyed (HardwareVertexBuffer *buf)
| Notification that a hardware vertex buffer has been destroyed.
virtual void | _releaseBufferCopies (bool forceFreeUnused=false)
| Internal method for releasing all temporary buffers which have been allocated using BLT_AUTOMATIC_RELEASE; is called by OGRE.
virtual HardwareVertexBufferSharedPtr | allocateVertexBufferCopy (const HardwareVertexBufferSharedPtr &sourceBuffer, BufferLicenseType licenseType, HardwareBufferLicensee *licensee, bool copyData=false)
| Allocates a copy of a given vertex buffer.
virtual VertexBufferBinding * | createVertexBufferBinding ()
| Creates a new VertexBufferBinding.
virtual VertexDeclaration * | createVertexDeclaration ()
| Creates a new vertex declaration.
virtual void | destroyVertexBufferBinding (VertexBufferBinding *binding)
| Destroys a VertexBufferBinding.
virtual void | destroyVertexDeclaration (VertexDeclaration *decl)
| Destroys a vertex declaration.
virtual void | registerVertexBufferSourceAndCopy (const HardwareVertexBufferSharedPtr &sourceBuffer, const HardwareVertexBufferSharedPtr &copy)
| Registers a vertex buffer as a copy of another.
virtual void | releaseVertexBufferCopy (const HardwareVertexBufferSharedPtr &bufferCopy)
| Manually release a vertex buffer copy for others to subsequently use.
virtual void | touchVertexBufferCopy (const HardwareVertexBufferSharedPtr &bufferCopy)
| Tell engine that the vertex buffer copy intent to reuse.

## Additional Inherited Members
Public Types inherited from Ogre::v1::HardwareBufferManagerBase
enum | BufferLicenseType { BLT_MANUAL_RELEASE , BLT_AUTOMATIC_RELEASE }

## Detailed Description

Specialisation of HardwareBufferManager to emulate hardware buffers.

Remarks
  You might want to instantiate this class if you want to utilise classes like MeshSerializer without having initialised the rendering system (which is required to create a 'real' hardware buffer manager.

## Constructor & Destructor Documentation

## ◆ GLES2DefaultHardwareBufferManagerBase()

Ogre::v1::GLES2DefaultHardwareBufferManagerBase::GLES2DefaultHardwareBufferManagerBase | ( |  | ) |

## ◆ ~GLES2DefaultHardwareBufferManagerBase()

virtual Ogre::v1::GLES2DefaultHardwareBufferManagerBase::~GLES2DefaultHardwareBufferManagerBase | ( |  | ) |
| virtual

References Ogre::v1::HardwareBufferManagerBase::HardwareVertexBufferSharedPtr.

## Member Function Documentation

## ◆ createCounterBuffer()

HardwareCounterBufferSharedPtr Ogre::v1::GLES2DefaultHardwareBufferManagerBase::createCounterBuffer | ( | size_t | sizeBytes,
|  | HardwareBuffer::Usage | usage = HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE,
|  | bool | useShadowBuffer = false,
|  | const String & | name = "" )
| inline

References Ogre::Exception::ERR_RENDERINGAPI_ERROR, Ogre::v1::HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE, and OGRE_EXCEPT.

## ◆ createIndexBuffer()

HardwareIndexBufferSharedPtr Ogre::v1::GLES2DefaultHardwareBufferManagerBase::createIndexBuffer | ( | HardwareIndexBuffer::IndexType | itype,
|  | size_t | numIndexes,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer = false )
| virtual

Create a hardware vertex buffer.

Implements Ogre::v1::HardwareBufferManagerBase.

## ◆ createRenderToVertexBuffer()

RenderToVertexBufferSharedPtr Ogre::v1::GLES2DefaultHardwareBufferManagerBase::createRenderToVertexBuffer | ( |  | ) |

Create a render to vertex buffer.

## ◆ createUniformBuffer()

HardwareUniformBufferSharedPtr Ogre::v1::GLES2DefaultHardwareBufferManagerBase::createUniformBuffer | ( | size_t | sizeBytes,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer,
|  | const String & | name = "" )

## ◆ createVertexBuffer()

HardwareVertexBufferSharedPtr Ogre::v1::GLES2DefaultHardwareBufferManagerBase::createVertexBuffer | ( | size_t | vertexSize,
|  | size_t | numVerts,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer = false )
| virtual

Creates a vertex buffer.

Implements Ogre::v1::HardwareBufferManagerBase.

References Ogre::v1::HardwareBufferManagerBase::HardwareIndexBufferSharedPtr.

The documentation for this class was generated from the following file:

- OgreGLES2DefaultHardwareBufferManager.h